Get all Notes for an Install

Query Params
string
enum
required
Defaults to created_at

Results will be sorted by this field.

Allowed:
string
enum
required
Defaults to desc

Returns results ascending or descending based on the orderBy field.

Allowed:
string
enum
required
Defaults to 50

Controls the number of records returned in a single request.

int32

Any positive integer value. If a request contains more records than the pageSize allows to be returned, then the page parameter may be used to paginate through a large reponse. For example, if a request contains 100 records and your pageSize is 25, then by providing a page value of 4, you can access records # 76 - 100.

int32

This is the Enerflo Installation ID. If provided, the results will be constrained to notes that are associated with this Install. If not provided, then results contain all notes associated to installs associated to the company/api-key.

string

This is an optional filter. It represents the email address of the Enerflo user that created the note.

date

This is an optional filter. If provided, only notes that were created on or before the value you provide will be included in the response.
Values are given in the format yyyy-mm-dd hh:mm:ss, and the provided value is assumed to be a UTC datestamp. For example, if you provide 2024-12-31 23:59:59, it will be interpreted as 2024-12-31 23:59:59+00:00 in UTC.

date

This is an optional filter. If provided, only notes that were created on or after the value you provide will be included in the response.
Values are given in the format yyyy-mm-dd hh:mm:ss, and the provided value is assumed to be a UTC datestamp. For example, if you provide 2024-12-31 23:59:59, it will be interpreted as 2024-12-31 23:59:59+00:00 in UTC.

int32

This is an optional filter applied to the created_at field of the note. If you provide a "days" value of 2, the response will include any note that was created in the past two days, relative to now (the current timestamp). Can be used in conjunction with hours and minutes.

int32

This is an optional filter applied to the created_at field of the note. If you provide an "hours" value of 3, the response will include any note that was created in the past three hours, relative to now (the current timestamp). Can be used in conjunction with days and minutes.

int32

This is an optional filter applied to the created_at field of the note. If you provide a "minutes" value of 15, the response will include any note that was created in the past fifteen minutes, relative to now (the current timestamp). Can be used in conjunction with days and hours.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json